
Redmine - Feature #2964

Ability to assign issues to groups

2009-03-13 11:56 - Lane Babuder

Status: Closed Start date: 2009-03-13

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 50%

Category: Issues Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed   

Description

It would be a nice feature to add, since there are plans for upgrading groups in 0.9, so that tasks can be assigned to entire groups,

groups of people, or a select number of people.

It could be done via a listbox element.

This could be useful in a situation where there are multiple departments to a company or multiple people who can or will work on said

task.

Thank you

Related issues:

Related to Redmine - Feature #408: Assign a task to multiple users Closed

Related to Redmine - Feature #858: Create Team tickets New 2008-03-14

Related to Redmine - Feature #2809: Team-Support Closed 2009-02-23 2013-04-01

Related to Redmine - Feature #7832: Ability to assign issue categories to groups Closed 2011-03-11

Related to Redmine - Defect #9132: Filtering by "Assignee's Group" doesn't sh... Closed 2011-08-26

Has duplicate Redmine - Feature #340: Assign to group Closed

Has duplicate Redmine - Feature #7674: Group as assignee for an issue Closed 2011-02-21

Has duplicate Redmine - Feature #7761: Add ability to add multiple Assignees ... Closed 2011-03-02

Has duplicate Redmine - Feature #7448: Assign to group Closed 2011-01-25

Has duplicate Redmine - Defect #7778: Multi-user task Closed 2011-03-04

Has duplicate Redmine - Defect #7924: Assign a task to several people Closed 2011-03-18

Has duplicate Redmine - Feature #8841: Allow per-project groups of users Closed 2011-07-18

Associated revisions

Revision 6306 - 2011-07-23 20:18 - Jean-Philippe Lang

Ability to assign issues to groups (#2964).

Option is disabled by default. It can be turned on in application settings.

Revision 6332 - 2011-07-31 12:22 - Jean-Philippe Lang

Include issues asigned to user's groups when using "assigned to me" filter (#2964).

History

#1 - 2009-03-13 12:31 - Vasia Pupkin

+1

#2 - 2009-03-13 14:42 - Damien Couderc

+1

#3 - 2009-03-13 17:38 - Brent Hensarling

+1

#4 - 2009-03-18 15:26 - Steve Diver
+1

We have small teams with specific areas of expertise. Being able to assign to a group, or a list of users is a must have.

#5 - 2009-11-26 14:25 - Yuriy Vidineev

+1

It will be very nice

#6 - 2009-12-12 04:53 - secrecy siu

+ 1 assign to group / multiple people

#7 - 2009-12-23 18:59 - Eric Davis

- Category set to Issues

- Assignee set to Eric Davis

- Target version set to 1.0.0 (RC)

+1 This would be useful for general tasks that should be handled by "someone in the X department".  It could also provide a solution for #408.

#8 - 2009-12-29 00:09 - Eric Davis

- File 0001-Allow-issues-to-be-assigned-to-a-Group.-2964.patch added

- Subject changed from Ability to assign tasks to groups to Ability to assign issues to groups

- Status changed from New to 7

Here's a patch to allow issues to be assigned to groups.  There are two things I'd like to get feedback on before committing this:

1. Should there be a setting to enable/disable assigning to a group?

2. Should the Assigned dropdown separate Users from Groups?  Right now it will list users first and then groups but there is no separator.

#9 - 2009-12-29 00:52 - Mischa The Evil

Eric Davis wrote:

(...) There are two things I'd like to get feedback on before committing this:

1. Should there be a setting to enable/disable assigning to a group?

 As an outsider regarding use of the groups-feature of Redmine I'd say to implement it in a similar way to how it is done currently for the different "roles

". Then the Redmine-admin is able to fine-tune which roles ánd groups should be able to get issues assigned to them himself.

2. Should the Assigned dropdown separate Users from Groups?  Right now it will list users first and then groups but there is no separator.

 For the sake of clarity I suggest to add some sort of seperator to at least be able to differentiate users and groups.

#10 - 2009-12-30 10:42 - Felix Schäfer

Eric Davis wrote:

1. Should there be a setting to enable/disable assigning to a group?

 There should be some possibility to fine-tune this, as there are organizations or even projects where it would needed to be able to assign an issue to

a group, and others where personal accountability is key and you won't want it, although being able to make groups to assign them to projects is

desired.

On the other hand, I don't think this should be a role-level option, as the role you give a group gets propagated to all members, so the group doesn't

really have a role of its own. Maybe a global switch to enable/disable group assignment, a project-level one, and maybe even for each tracker in a

project would be the levels that come to mind.

The other difficulty I see here is that it's "difficult" to make a group, i.e. you need to be admin to be able to make groups. That will either result in

people asking their admin to make groups for every other thing, or in people getting frustrated because they can't use the full functionality. I think

redmine will have to go the extra step and allow issues to be assigned to multiple users (mass-assignment), be it through groups or whatever else,

and that this ability be tied to the trackers (you might want features mass-assignable, but not bugs) and disableable on a tracker-in-the-project level

(features are globally mass-assignable, but I don't want them to be for this particular project). That should then be tied to the ability for users to make

their own groups which shouldn't be seeable by others (that would rapidly lead to a group overkill), the ability to assign an issue to multiple users

without "actively" creating a group for that (think ad-hoc groups created only for one issue, which would retain the one-one relation between issue and

user/group, but still enable issue mass-assignment without requiring to create a group beforehand), and still retain global groups (for which you could

also configure if they should be available in mass-assignment or not, not sure having "accounting" with 45 people in the choices for whom you want
an issue assigned to would be welcome…).

Mmh, I got a little over the scope of this issue in this last paragraph, maybe we could split that discussion in a new issue, as it would require a design

decision at some point.

#11 - 2010-02-02 19:12 - Anonymous

+1

Eric Davis wrote:

Should there be a setting to enable/disable assigning to a group?

 It might be also beneficial to be able to assign "leader(s)" of a group at least to have possibility to only send notification about new issue only to this

person(s), not to everybody from a group (as it is implemented in the patch now). Working members of Group should not be in some enviroments

distracted by emails. We have managers to read-write emails :-)

Should the Assigned dropdown separate Users from Groups?  Right now it will list users first and then groups but there is no separator.

 Same dropdown, probably groups first, prefixed by @

#12 - 2010-03-02 09:21 - Fri Flaj

I would love to use this! I'm on trunk (I know, I know), the patch doesn't apply cleanly to trunk. Could someone who's better at RoR update this? Pretty

please?

#13 - 2010-03-12 10:35 - Szabolcs Klement

+1

my think is a new role: allow/not to see that issues what is created by an user from other group.

#14 - 2010-03-12 11:10 - Fri Flaj

Feature 2096 adds a custom "group list" field that could be used to emulate this to an extent. The patch has been updated to current trunk.

#15 - 2010-03-12 13:39 - Szabolcs Klement

i add in redmine.rb the new privilege:

map.permission :view_issues_from_another_group, {:projects => :roadmap, 

                                  :issues => [:index, :changes, :show, :context_menu],

                                  :versions => [:show, :status_by],

                                  :queries => :index,

                                  :reports => :issue_report}

in models/issue.rb change the visible? proc:

def visible?(usr=nil)

    s1=(usr || User.current).allowed_to?(:view_issues, self.project)

    s2=false

    s2=true if ((self.author.group_ids & User.current.group_ids).size)>0

    s3=User.current.allowed_to?(:view_issues_from_another_group, self.project)

    s1&&(s2||s3)

  end

#16 - 2010-03-17 12:00 - Tomas Sahagun

+1

#17 - 2010-03-23 11:20 - Daniel Maas

If I want to see all <<my>> tickets, I would also like to see

all ticket of groups I am in.

That is not the case right now, is it?

Or do I have to change some option I didn't see

#18 - 2010-03-31 04:31 - Anselm Hou

Sorry, I'm a new to Redmine.  How to apply this patch?  I have tried the following:
C:\Program Files\BitNami Redmine Stack\git\bin>patch -p0 < C:\Software\0001-Allow-issues-to-be-assigned-to-a-G

roup.-2964.patch

can't find file to patch at input line 22

Perhaps you used the wrong -p or --strip option?

The text leading up to this was:

--------------------------

|From 5d6addb9d8b7e66cb06730edaf64d7e004406800 Mon Sep 17 00:00:00 2001

|From: Eric Davis <edavis@littlestreamsoftware.com>

|Date: Mon, 28 Dec 2009 14:42:38 -0800

|Subject: [PATCH] Allow issues to be assigned to a Group.  (#2964)

|

|---

| app/controllers/issues_controller.rb      |    2 +-

| app/helpers/issues_helper.rb              |    4 ++--

| app/models/group.rb                       |    2 ++

| app/models/issue.rb                       |    8 ++++++--

| app/models/project.rb                     |    2 +-

| test/exemplars/group_exemplar.rb          |    9 +++++++++

| test/functional/issues_controller_test.rb |   29 ++++++++++++++++++++++++++---

| test/unit/issue_test.rb                   |   12 ++++++++++++

| 8 files changed, 59 insertions(+), 9 deletions(-)

| create mode 100644 test/exemplars/group_exemplar.rb

|

|diff --git a/app/controllers/issues_controller.rb b/app/controllers/issues_cont

roller.rb

|index 336f63b..2c3e08a 100644

|--- a/app/controllers/issues_controller.rb

|+++ b/app/controllers/issues_controller.rb

--------------------------

File to patch:

#19 - 2010-03-31 12:05 - Alessio Franceschelli

Anselm Hou wrote:

Sorry, I'm a new to Redmine.  How to apply this patch?  I have tried the following:

[...]

 you have to use the patch command in the root redmine folder.

And try using -p1 instead -p0

#20 - 2010-04-28 14:05 - Wytze Keuning

Thanks for creating this patch. I just applied it and the patch seems to work fine. One feature I miss is the visiblity off issues assigned to groups. It

would be nice if issues assiged to groups that I'm in are listed on "My page" under "Issues assigned to me" or better yet, listed in a new block called

"Issues assigned to group".

#21 - 2010-04-28 14:46 - Wytze Keuning

Also, on the "vies all issues" overview page, groups are not listed in the "Assigned to" filter.

#22 - 2010-05-03 19:47 - chantra .

tks for that patch. Applied cleanly on 0.9.3 once I removed the test/exemplars/group_exemplar.rb bit.

# Should the Assigned dropdown separate Users from Groups? Right now it will list users first and then groups 

but there is no separator.

I would say it can be handy to visually separate groups from users. I would find it easier to find where the groups are hidden within the list, but that

might be just me :)    

Also, a feature which could be nice is to assign to group by default, when I tried the patch, only users could be default assignee

#23 - 2010-05-11 11:49 - strexy strexy

Hi all, this useful patch doesn't work if you have Goyello redmine_mail_configurator plugin installed. Error 500 when you try to create a new issue

assigned to a group.

|s
#24 - 2010-05-14 05:31 - Jiongliang Zhang

+1

#25 - 2010-05-16 03:20 - Daniel Nautré

I hope to see this feature soon in trunk.

Here's how we use group assignement at work:

A issue has an assignement group (e.g. SAP Support or Field Technicians) and the issue is then assigned to a member of that group.

#26 - 2010-05-19 02:17 - Tyler Mulligan

Should the Assigned dropdown separate Users from Groups? Right now it will list users first and then groups but there is no separator.

 Absolutely, then I can for example, assign to both a group (or multiple?) and a specific person within the group to lead it.

+1

I hope this gets committed soon

#27 - 2010-06-05 05:53 - Eric Davis

- Target version deleted (1.0.0 (RC))

This patch is going to need some reworked and missed the feature freeze deadline.  If we can get it updated, I think it can be included in the 1.1

release.

#28 - 2010-06-06 18:18 - Jesse Mayes

+1

This would be great as long as users can create/join their own groups.

If this is still relevant...

Should the Assigned dropdown separate Users from Groups? Right now it will list users first and then groups but there is no separator.

 Yes, a horizontal line in the dropdown or writing "Users" before the users section and "Groups" before the groups section (gray these options out to

prevent them from being selected) would work well enough.

#29 - 2010-06-07 00:58 - Fri Flaj

If users would indeed be able to create their own groups, please make that an action you need a permission for. I would explicitly not like any user to

be able to create a group, just project admins.

#30 - 2010-08-06 07:51 - yusuke kokubo

BTW.

included in 1.1?

#31 - 2010-09-14 22:15 - Terence Mill

+1

#32 - 2010-09-15 17:20 - Paul paul

+1 on that and separate permissions for that capability.

#33 - 2010-09-15 23:08 - Terence Mill

Maybe it can be done by extending the category function, to  have more than one resposible person - stakeholder.

#34 - 2010-10-07 04:07 - ardel biscaro

I cannot install the  patch in 1.01. Is this patch not compatible with 1.01?

#35 - 2010-10-11 14:57 - Damien Couderc

Hi all,

Is there any reason that would explain why such feature has not been pushed in the tree yet ?
#36 - 2010-10-12 09:37 - Wytze Keuning

Basically I ask the same question Damien asks. Why is this feature not yet implemented in Redmine? Isn't this the type of basic feature any project

management/ticket system should have? I would like to be able to assign issues to groups and I would like an overview page where I can view issues

assigned to groups I'm in.

#37 - 2010-10-25 14:51 - Damien Couderc

Hi,

I'm back on it as I just seen that Eric was planning this feature for 1.1.

Honestly, this is a must have feature for everyone using Redmine in a serious project. When the default assigned user is absent there is nobody to

filter new issues which can be really bad when working in a company.

Please, could this be added in 1.0 branch instead ?

#38 - 2010-10-25 16:58 - Eric Davis

- Assignee deleted (Eric Davis)

#39 - 2010-11-19 17:17 - Przemyslaw Jacko

I would be happy to find this patch working under current version 1.0.1. When this could be possible?

#40 - 2011-01-05 08:47 - Damien Couderc

Hi,

this issue has a status of 'assigned', but nobody is set as the assignee.

Could someone correct this please ?

#41 - 2011-01-26 09:01 - Damien Couderc

I meant, could someone put status back to new as nobody is assigned ...

#42 - 2011-02-02 14:26 - Val Budkin

What should be the future of this feature?

I can't find it in any release plan.

#43 - 2011-02-04 11:16 - Nicklas Westerholm

I really need this feature! Can't really seem to understand how companies using scrum is able to use Redmine without this feature. Developers assign

tasks to them selves, you don't want a project leader assigning tasks all the time. It should be enough that the team has been assigned a group of

issues and then as developers get done with a task they can easily jump on to the next one that has been assigned to the group.

Pleeeaaase add this asap!

#44 - 2011-02-08 17:51 - Aderik Teekman

+1 We can use this feature.

#45 - 2011-02-08 18:10 - Etienne Massip

Just added relations to #858 and #2809 (team support).

I see that like it :

manage teams or members for a project and its subprojects (name a team leader ?)

assign issue categories to teams

auto-assign issues to matching teams / team leader depending on category ?

Something like that.

#46 - 2011-02-22 08:28 - Chris Darts

+1 This is a must have for me as well.

Is there a plan to include this as part of the core system in a future release?

#47 - 2011-02-22 17:06 - Vlad Shchiptcov

Hi!

The patch is not applicable anymore.

Could anybody adapt it to the current version of Redmine?

Thanks!
#48 - 2011-02-23 08:32 - Chris Darts

I also just tried to run this patch on Redmine v1.1.1 and received the following error:

patching file b/app/controllers/issues_controller.rb

Hunk #1 FAILED at 237.

1 out of 1 hunk FAILED -- saving rejects to file b/app/controllers/issues_controller.rb.rej

patching file b/app/helpers/issues_helper.rb

Hunk #1 FAILED at 82.

1 out of 1 hunk FAILED -- saving rejects to file b/app/helpers/issues_helper.rb.rej

patching file b/app/models/group.rb

Hunk #1 FAILED at 28.

1 out of 1 hunk FAILED -- saving rejects to file b/app/models/group.rb.rej

patching file b/app/models/issue.rb

Hunk #1 FAILED at 20.

Hunk #2 FAILED at 255.

2 out of 2 hunks FAILED -- saving rejects to file b/app/models/issue.rb.rej

patching file b/app/models/project.rb

Hunk #1 FAILED at 344.

1 out of 1 hunk FAILED -- saving rejects to file b/app/models/project.rb.rej

 I would desperately love to have this functionality.

#49 - 2011-02-24 18:34 - Pedro Almeida

+1

I'm trying to migrate from eGroupWare and this feature is really missed :-(

#50 - 2011-03-03 15:50 - Alexis U.

+1

That feature would be very useful.

#51 - 2011-03-04 16:40 - Il'ya Shakitko

2 years ... hmmmm

#52 - 2011-03-04 17:06 - Thomas Capricelli

happy birthday :-)

#53 - 2011-05-28 21:09 - Michael Kling

+1

This one was the first question after my redmine presentation in the company and i had to say "no it cant" :(

#54 - 2011-05-30 11:39 - Luis Serrano Aranda

It is possible update this patch for the new Redmine version? Thanks

#55 - 2011-06-29 10:30 - Had Mine

It would be really nice to have this feature for the next version. The bug sorting process in my company occurs in two steps: project leader first

identifies the team a bug should be assigned to, assigns to it. Later, the team leader assigns the bug to one of his teammates. Currently we have to

use unsatisfactory workarounds (duplicated users, sub-projects for a team...).

#56 - 2011-06-29 14:20 - Petr Pospisil

-1

Please don't add this feature to the redmine. Shared responsibility does not work.

#57 - 2011-06-29 16:27 - Michael Kling

Yeah and because in your opinion it doesn't work (for what you forgot to tell btw maybe for everything) this shouldn't be implemented.

In a lot of commercial systems features like this exist and in the company of my customer redmine lost the bet because it's missing. :(

It's still up to everybody to use or don't use such a feature. So why vote against it?

#58 - 2011-06-29 20:26 - Terence Mill

Should be configurable, switch on or off. Then its up to everyone howto handle it.

#59 - 2011-06-30 11:46 - Petr Pospisil
Michael Kling wrote:

Yeah and because in your opinion it doesn't work (for what you forgot to tell btw maybe for everything) this shouldn't be implemented.

In a lot of commercial systems features like this exist and in the company of my customer redmine lost the bet because it's missing. :(

It's still up to everybody to use or don't use such a feature. So why vote against it?

 :-))

In the real life - in the real system - only you are responsible for your work. If more than one people has the same issue/task who are working on it?

The other one....always.

When the work is done if more people are interested? What is the progress?

This "feature" that one issue has one responsible worker is the best tool to change your mind. If you have in mind that your company needs this

feature, sorry, something should smells elsewhere ;o).

The easy workaround is add groups to dropdownlist with assignable people. When creating issue assigned to group, thus creating many of issues,

how many people are in the group. But still exists one issue with one responsible worker.

Adding another checkbox somewhere to the administration is not the best solution (my opinion).

Regards

#60 - 2011-06-30 12:49 - Michael Kling

My customer don't need that feature for assigning the final responsible but as a step between.

He creates the ticket and assigns the group 'electro technicians', so all from this field (in the group) will have this ticket on the todo list until somebody

takes it. (assign himself as responsible)

Because in their projects a lot of different fields are involved (programming, network and administration, electrical engineering, different kind of

craftsman) and for all these fields they have a pool of people, they don't want to care about who is doing it just that somebody is doing it.

They are already working like this without redmine (via email lists) but now they want to organise it with a ticket system - without changing their

working process.

(I wouldn't implement something like this either in my company but anyway it's what they want and I, as I like redmine very much, tried to give them

this system as a solution)

#61 - 2011-07-01 10:27 - Terence Mill

I think "ur process" needs a coordinator, which handles tasks where there is no responsibilty. E.g Daily stand-up, where tasks with no "assigned to"

person will be assigned. Thre must be a project leader or even team leader which will make sure thing get done, if u don't in worst case noone will

catch an issue and it will be leaft unassigned forever. Assigning to a group is not even better than assigning to no one.

Your experts groups "programming, network and administration, electrical engineering, different kind of craftsman" doing compoents of the product,

so just create categories for then with one "resposible team leader" per group, who will be assigned to the group. He gets email wehn project leader

assign to category and must find someone in his team to be assigned to the issue at the end.

Just an idea.. to solve that in redmine now.

#62 - 2011-07-01 10:35 - Fri Flaj

I think "u guys" need to lay off on the assumption that what works for you must work for everyone. If you don't want multiple assignment, don't use it.

Like many commenters that went before me, RM was shot down in our company because this feature was not available.

I could turn the reasoning around and say that some companies have outgrown the strict command-and-control mindset that requires an issue to be

assigned to any specific individual, and multiple assignment works just fine. We use it ourselves for our scrums, and it has never yet caused any

problems. What happens if your coordinator falls ill or goes on a holiday? Everything gets reassigned? Everything stops?

I'm not saying you shouldn't use single assignment, but voting against multi-assignment as an optional feature is just dumb dogmatism.

#63 - 2011-07-19 16:47 - Anonymous

Fri Flaj wrote:

I think "u guys" need to lay off on the assumption that what works for you must work for everyone. If you don't want multiple assignment, don't

use it. Like many commenters that went before me, RM was shot down in our company because this feature was not available.

I could turn the reasoning around and say that some companies have outgrown the strict command-and-control mindset that requires an issue to

be assigned to any specific individual, and multiple assignment works just fine. We use it ourselves for our scrums, and it has never yet caused

any problems. What happens if your coordinator falls ill or goes on a holiday? Everything gets reassigned? Everything stops?

I'm not saying you shouldn't use single assignment, but voting against multi-assignment as an optional feature is just dumb dogmatism.
 I gotta admit that I am big advocate of "1 issue = 1 person", but you really have a point here. Just don't use it and stay happy.

To stretch it further: a simple checkbox in administration "Allow issue assignment to Groups" could easily be added. Plus defining certain groups that

cannot be assigned an issue to avoid trouble.

#64 - 2011-07-19 17:15 - William Baum

Count me among those who consider the lack of this ability to be a serious limitation.  I understand why it would be a show-stopper issue for many

organizations.

We have managed to work around this limitation by creating role-based dummy accounts tied to email distribution lists.  While this  does work, it's

clumsy and arduous to maintain.

The ability to assign issues to roles and groups, as well as arbitrary combinations of project members would be extremely helpful.

#65 - 2011-07-19 19:28 - Jean-Philippe Lang

- File members_tab.png added

- Assignee set to Jean-Philippe Lang

- Target version set to 1.3.0

This feature will be added to 1.3.0.

Jan Wedekind wrote:

To stretch it further: a simple checkbox in administration "Allow issue assignment to Groups" could easily be added.

 Agreed.

Plus defining certain groups that cannot be assigned an issue to avoid trouble.

 An even more flexible way would be to offer this option at project level. A simple checkbox in front of each project member (user or group) that can be

updated by project managers:

 

Feedback is welcome.

#66 - 2011-07-19 19:29 - Jean-Philippe Lang

Another question: say user A belongs to group G, should issues assigned to group G be listed when user A filters the issues with "Assigned to

<<me>>"?

#67 - 2011-07-19 22:51 - Etienne Massip

Jean-Philippe Lang wrote:

Another question: say user A belongs to group G, should issues assigned to group G be listed when user A filters the issues with "Assigned to

<<me>>"?

 My bet would go on "No", maybe separate and cumulable list items "<<only me>>" and "<<groups I belong to>>"?

#68 - 2011-07-20 23:14 - Etienne Massip
Jean-Philippe Lang wrote:

Jan Wedekind wrote:

To stretch it further: a simple checkbox in administration "Allow issue assignment to Groups" could easily be added.

 Agreed.

 Well, if you configure assignable groups at project level, then you don't need this setting, do you ?

Feedback is welcome.

 Looks like a very good idea.

Another question: say user A belongs to group G, should issues assigned to group G be listed when user A filters the issues with "Assigned to

<<me>>"?

 I revised my position : <<me>> should display issues assigned to groups I belong to, but still have no arguments :(

#69 - 2011-07-21 00:05 - Jean-Philippe Lang

Etienne Massip wrote:

Well, if you configure assignable groups at project level, then you don't need this setting, do you ?

 Actually, it will be usefull to adjust the UI for people who don't want to see anything about issue assignment to groups (see below). And choosing

assignable users/groups at project level is a separate feature that may be added later.

I revised my position : <<me>> should display issues assigned to groups I belong to, but still have no arguments :(

 I think it shouldn't. Because otherwise a user wouldn't be able to see the issues that are assigned to him and not to its groups.

A new option <<my groups>> could be added (and displayed only if group assignment is turned on). This way, we can choose <<me>> or

<<me>>+<<my groups>> or just <<my groups>>.

#70 - 2011-07-21 22:56 - Etienne Massip

Jean-Philippe Lang wrote:

I think it shouldn't. Because otherwise a user wouldn't be able to see the issues that are assigned to him and not to its groups.

 From a assignee pov, I can't see the difference between being assigned directly or being assigned within a group, whatever the way, you're assigned

and you're expecting the <<me>> entry to give you the issues you, personnally, will have to work on.

This may be true only if you don't consider this feature as a way to "pre-assign" issues, that is assign an issue to a group of which one chosen /

random person will eventually be directly assigned to work on it.

#71 - 2011-07-23 20:20 - Jean-Philippe Lang

- % Done changed from 0 to 80

Feature committed in r6306. The baheviour of assigned to <<me>> is unchanged for now. I'd really like to get some feedback from people who

requested this feature.

#72 - 2011-07-23 20:24 - Jean-Philippe Lang

Etienne Massip wrote:

This may be true only if you don't consider this feature as a way to "pre-assign" issues, that is assign an issue to a group of which one chosen /

random person will eventually be directly assigned to work on it.

 There are several comments here that show that some users expect to use this feature in this way.

#73 - 2011-07-23 22:53 - William Baum

Jean-Philippe Lang wrote:
The baheviour of assigned to <<me>> is unchanged for now.

 If <<me>> does not include <<<my groups>>, users could easily miss issues assigned to their groups.  If <<me>> includes their groups, one could

still group by assignee or filter on their specific username to differentiate.  I think the default <<me>> should include group assignments.

However, I'm concerned about the distinction between "Group" and "Role" in this context.  At the project level, it is a member's Role membership that

determines whether issues can be assigned to that user, and I think it makes sense to extend the issue assignment at the Role level rather than the

Group level.  Please also see #8891.

#74 - 2011-07-24 09:46 - Terence Mill

I didn't request that feature, but assigning issues dependent on role touches a feature request i made some time ago.

#8050 proposes to be able to set visibility, read-only or mandatory property of every field (also of assignee) dependent of the role a user has , who is

editing the issue.

THis way the workflow can make sure that only certain roles are able to see or edit certain field values dependent on role an advanced even on the

atcual issue status.

I think this disccussin  in similar direction, doesn't it?

#75 - 2011-07-31 12:27 - Jean-Philippe Lang

- Status changed from 7 to Closed

- % Done changed from 80 to 100

- Resolution set to Fixed

Issues assigned to user's groups are now listed when using "assigned to <<me>>" filter (r6332).

Terence, I'm closing this ticket but discussions about your proposal can continue at #8050.

#76 - 2011-08-11 10:01 - Tudor Cornea

I have applied the patch, to my Redmine 1.2.0 , but it gives the following error when I try to create an issue, with

a group assigned to it.

"undefined method `active?' for #<ActiveRecord::Associations::BelongsToAssociation:0xb685a80c>".

Any ideas on which could be the cause?

#77 - 2011-10-29 21:20 - William Baum

- Status changed from Closed to Reopened

- % Done changed from 100 to 50

Issue assignment really needs to be based on Roles rather than Groups.

Assigning issues to Roles makes perfect sense, as evidenced by the "Issues can be assigned to this role?" permission.  Yes, please, I would very

much like to be able to assign issues to this role.  Why can't I?

There is correctly no "Issues can be assigned to this group" checkbox, just as there is no "Issues can be assigned to this User" checkbox on the User

profile page, because issue assignment is Project Role thing, not a User/Group thing.

The way this is implemented in r6306, the Group must also be assigned to a Role that can have issues assigned to it, so why not just allow

assignment to the Role itself?  The extra step up to Groups simply reduces flexibility and functionality.

Also, now that issues can be assigned to more than one user, why not allow a multi-select expansion for issue assignment?

#78 - 2011-11-01 07:37 - Anton Lukashev

William Baum wrote:

Issue assignment really needs to be based on Roles rather than Groups.

 So we'll need to create bunch of roles and remanage everytime we need users in roles and set permissions to them? I always thought that roles

mean security control functions rather than users management. "Groups" provide us ability to divide people to more concrete subparts of those who

have access to the project duties based on "roles". From my point of view it will too complicated, but anyway it's better than nothing.

#79 - 2011-11-18 08:36 - Danil Shein

Could someone explain how to apply this patch to Redmine 1.2.

I really need assignment issues to group feature.

When i tried to apply with patch -p0 < /path/to/patch/0001-Allow-issues-to-be-assigned-to-a-Group.-2964.patch? - it failed:
patching file b/app/controllers/issues_controller.rb

Hunk #1 FAILED at 237.

1 out of 1 hunk FAILED -- saving rejects to file b/app/controllers/issues_controller.rb.rej

patching file b/app/helpers/issues_helper.rb

Hunk #1 FAILED at 82.

1 out of 1 hunk FAILED -- saving rejects to file b/app/helpers/issues_helper.rb.rej

patching file b/app/models/group.rb

Hunk #1 FAILED at 28.

1 out of 1 hunk FAILED -- saving rejects to file b/app/models/group.rb.rej

patching file b/app/models/issue.rb

Hunk #1 FAILED at 20.

Hunk #2 FAILED at 255.

2 out of 2 hunks FAILED -- saving rejects to file b/app/models/issue.rb.rej

patching file b/app/models/project.rb

Hunk #1 FAILED at 344.

1 out of 1 hunk FAILED -- saving rejects to file b/app/models/project.rb.rej

patching file b/test/exemplars/group_exemplar.rb

patching file b/test/functional/issues_controller_test.rb

Hunk #1 FAILED at 532.

Hunk #2 FAILED at 933.

2 out of 2 hunks FAILED -- saving rejects to file b/test/functional/issues_controller_test.rb.rej

patching file b/test/unit/issue_test.rb

Hunk #1 FAILED at 27.

Hunk #2 FAILED at 362.

2 out of 2 hunks FAILED -- saving rejects to file b/test/unit/issue_test.rb.rej

I've tried to modify code manually, but some files contents is differ with that one in patch.

Is there any new version of this patch that compatible with Redmine 1.2?

#80 - 2011-11-18 17:51 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Please open another ticket for role assignment. This won't be part of this one for 1.3.0.

#81 - 2012-01-23 12:44 - Sergey Enns

Is it possible include tasks in filter results for users assigned groups?

E.g. user User1 included in group Grp1. When make filter by User1 I see tasks assigned on User1 but don't see tasks assigned on Grp1.

#82 - 2016-04-04 12:20 - Al Pocheche

+1

#83 - 2016-04-27 07:08 - Toshi MARUYAMA

Do not post to closed issue.

#84 - 2020-02-28 19:33 - Tim Pray

Toshi MARUYAMA wrote:

Do not post to closed issue.

 I think there is a feature request for this.
